Best Server version 2020?

Discussion in 'Spigot Help' started by EarthsDefect, Feb 11, 2020.

  1. Hi, I'm looking at starting a minigames server, what is the best version to run? I tried 1.15 but not many plugins are updated like minigameslib,
     
  2. MiniDigger

    Supporter

    latest.
    right now that means 1.15.2, in a few months that might be 1.16.
    if you start now, you really dont want to base your new shiny server on outdated software.
    if plugins arent updated by now, they should be considered dead and replaced.
     
    • Agree Agree x 5
    • Like Like x 1
  3. 1.12.2 is best for performance, but try to develop everything with future 1.13+ support in mind, because this version is going to become irrelevant within a few years.
     
    • Like Like x 2
    • Optimistic Optimistic x 1
  4. MiniDigger

    Supporter

    few years? 1.12 is already as irrelevant as 1.8 is right now (and dropping).
    only versions with a proper userbase are 1.15 (which is the most popular one) and 1.14 (the ppl who didnt update yet).
    1.13 is dead, so is everything else other than 1.12 and 1.8 where a small amount ppl are still stuck.

    1.12 is already 3 years old, dont lock yourself into outdated software with a new server.
     
    • Agree Agree x 6
    • Like Like x 2
  5. Yeah kinda why I'm asking because I know 1.12 has the most support when it comes to plugins but I don't want to be stuck in 1.12 also, but I've tried setting up a 1.15.2 server and most of the plugins are outdated and don't work. Like minigames lib, commandNPC, just to name a few.
     
  6. MiniDigger

    Supporter

    minigameslib says on their page that its abandoned, so using it seems like a bad idea on any version.
    commandnpc works on 1.15.2, we use it at dyescape for prototyping.
     
    • Like Like x 1
  7. If you have a PvP based server you should definitely go for 1.8 (or 1.7). Otherwise, just pick the latest version that your plugins support. Many mixed servers just use 1.8 as a base and allow newer versions to join using ViaVersion. That is a PvP friendly configuration and still allows newer versions to join. If you want to have a competitive PvP server, you should use 1.7 as this is the last version where PvP makes actually sense.
     
    • Funny Funny x 3
    • Like Like x 1
  8. Still have the problem of most plugins been abandoned, and probably never replaced, because I can't find many that support 1.15.2, Plus I wanted to have like a arcade mode and only minigameslib has that from what I can find. One other problem is my server is setup to use signs in the hub server, and most minigame plugins don't have a placeholder for %motd to show server status like "voting" ingame on a bungeeteleport sign.
     
  9. My server will have factions, creative, survival, survival games, bed wars, MMORPG, just to name a few. does that mean I SHOULD go back to 1.8 use ViaVersion and never update :(
     
  10. use 1.8 => 1.13 is best
     
  11. The latest, if you are stuck on old versions you limit what you can do and what your playerbase is. I’ve also noticed a lot of youtubers that used to play on old outdated servers (i.e 1.7/1.8) are moving to the latest version which shows old versions are definitely not worth it anymore.
     
  12. Do you consider 1.8 "bad"? It's honestly better than any other version for your server.
     
    • Optimistic Optimistic x 2
    • Like Like x 1
    • Agree Agree x 1
    • Funny Funny x 1
  13. But if players can join on newer versions whats the difference?
     
  14. Just that they will be limited to 1.8 items although they are on newer clients. That also means you will have 1.8 pvp, which is probably more appropriate for stuff like factions and bedwars than 1.9 and above.
     
    • Optimistic Optimistic x 2
  15. MiniDigger

    Supporter

    if you bridge 7 (soon to be 8) major versions, do you really think there is no impact on performance and gameplay?
    your server will always, by default, be worse than a native 1.15 server.
    viaversion should only be used to bridge minor versions (1.15.1 and 1.15.2 for example), not major versions, at least not for an extended period of time (for the time till you upgrade its ok)
     
    • Agree Agree x 1
    • Winner Winner x 1
  16. No I love 1.8 its kinda when I was really into minecraft last. My problem is I don't want to be stuck in the Jurassic age, put all this work into a server and it all be a waste of time IF thats a big IF devs start updating mods again.
     
  17. The best version currently is Minecraft 1.15.2 plus the latest version of PaperMC. You can use the plugin ProtocolSupport to let players using older clients (1.12.X–1.15.1) join your 1.15.2 server; however, the plugin can cause issues with certain other plugins, so be wary of that.

    Well, the server won’t have the latest features added to Minecraft. None of the performance improvements will be there, none of the new features will be there, and the server will generally be unstable and buggy for players joining on newer clients. :coffee:
     
    • Agree Agree x 2
    • Like Like x 1
    • Winner Winner x 1
  18. By using the latest version you can innovate with new features unlike servers who limit themselves to what old versions can do. You’re a minigames server, so you need to bring unique, exciting content and by using the latest version you make this 200% easier for yourself.
    Believe it or not, people are competitive in the latest combat. Just saying 1.7 is “the only PvP that makes sense” is entirely your own view and not that of the entire playerbase.
     
  19. After 1.15.2 it is 20w06a with an updated bungee and Fabric + Trampoline to let the snapshot server support bungee.
     
  20. I despise the pre-1.9 combat system. It takes no skill. I’m really not sure why people prefer that over the new combat system. Sure, the newer system isn’t perfect by any means, but it’s certainly a lot better than the old system, in my opinion.

    That’s certainly not going to be very stable, nor are you going to have a lot of plugins available.

    Most servers will stay on 1.15.2 for a good while, I believe. :coffee:
     
    • Agree Agree x 3
    • Like Like x 1
    • Funny Funny x 1
    • Optimistic Optimistic x 1